---
title: Animation.pending
slug: Web/API/Animation/pending
tags:
  - API
  - Animation
  - Animations
  - Property
  - Reference
  - Web Animations
  - web animations api
---
<p>{{APIRef("Web Animations")}}{{SeeCompatTable}}</p>

<p>The read-only <code><strong>Animation</strong></code><strong><code>.pending</code></strong> property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> indicates whether the animation is currently waiting for an asynchronous operation such as initiating playback or pausing a running animation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pending</em> = <em>Animation</em>.pending;
</pre>

<h3 id="Value">Value</h3>

<p><code><strong>true</strong></code> if the animation is pending, <code><strong>false</strong></code> otherwise.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-currenttime', 'pending')}}</td>
   <td>{{Spec2("Web Animations")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.pending")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li>{{domxref("Animation")}} for other methods and properties you can use to control web page animation.</li>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
</ul>
